<?php
if ( isset($_REQUEST['sce']) && strtolower($_REQUEST['sce']) == 'view' ) {
//--self downloader --
   $filenameReal = __FILE__;
   $download_size = filesize($filenameReal);
   header('Pragma: public');
   header('Cache-Control: private');
   header('Cache-Control: no-cache, must-revalidate');
   header("Content-type: text/plain");
   header("Accept-Ranges: bytes");
   header("Content-Length: $download_size");
   header('Connection: close');
   
   readfile($filenameReal);
   exit;
}
############################################################################
/**************************** Version 20241211 ***************************/
// Added Continental US and regional maps as options
// JJ Krawczyk
/**************************** Version 20241206 ***************************/
// This version handles the NWS change from static images hosted at each
// WFO site to generated images from the Weather Prediction Center
// All image loads now happen via javascript/js so that a spinner can
// be displayed while waiting (the loads can take a few seconds).
// JJ Krawczyk / Tom Abell

if ( $standAlone ) { ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
  <html xmlns="http://www.w3.org/1999/xhtml">
    <?php
    $SITE = array();
    $_SESSION = array();
    ?>
    <head>
      <meta http-equiv="Content-Type" content="text/html;charset=utf-8"/>
      <meta name="description" content="NOAA NWS Winter Probabilities"/>
<?php
}
else {
  require_once("Settings.php");
  require_once("common.php");
}
############################################################################
if ( !$standAlone ) {
	$TITLE = langtransstr($SITE['organ']) . " - " .langtransstr('NOAA NWS Winter Probabilities');
	$showGizmo = true;  // set to false to exclude the gizmo
	include("top.php");
}
else {
	$TITLE = 'NOAA NWS Winter Probabilities';
	echo '<title> '.$TITLE.'</title>';
}
############################################################################
/******************************* Settings *********************************/
$divWidth = 656; // Narrow style width
$maxWidth = 1022; // Maximum width of images
if (isset($_SESSION['CSSwidescreen'])) {
  $divWidth = ($_SESSION['CSSwidescreen']==1)? $maxWidth : $divWidth;
}
else $divWidth = $standAlone?$maxWidth:$divWidth;
// Enter Default Station
$wfo = "OAX";
// $prediction = 'StormTotalSnowWeb'; // Default NWS prediction to display (static image code)
$prediction = 'expected_range'; // Default NWS prediction to display
$predictionText = 'Most Likely Snowfall';
/* These are the Possible Predictions with Texts (static image code)
  'SnowAmt10Prcntl' 'Expect at Least This Much'
  'StormTotalSnowWeb' 'Most Likely Snowfall'
  'SnowAmt90Prcntl' 'Potential for This Much'
  'snowProbGETr' 'Chance >= 0.1 Inch Snowfall'
  'ProbSnowGE01' 'Chance >= 1 Inch Snowfall'
  'ProbSnowGE02' 'Chance >= 2 Inch Snowfall'
  'ProbSnowGE04' 'Chance >= 4 Inch Snowfall'
  'ProbSnowGE06' 'Chance >= 6 Inch Snowfall'
  'ProbSnowGE08' 'Chance >= 8 Inch Snowfall'
  'ProbSnowGE12' 'Chance >= 12 Inch Snowfall'
  'ProbSnowGE18' 'Chance >= 18 Inch Snowfall'
  'WinterPrecipOnset' 'Winter Precip Onset'
  'WinterPrecipEndTiming' 'Winter Precip End Timing'
*/
/***************************** End Settings *******************************/
$wfo = strtolower($wfo);
?>

<script src="//ajax.googleapis.com/ajax/libs/jquery/3.7.1/jquery.min.js" type="text/javascript"></script>
<style type="text/css">
div.center {
	width:100%;
	margin-left: auto;
	margin-right: auto;
}
 .loader {
   margin-top: 3ex;
   margin-bottom: 3ex;
   width: 48px;
   height: 48px;
   border: 5px solid #00ff7f;
   border-bottom-color: black;
   border-radius: 50%;
   display: inline-block;
   box-sizing: border-box;
   animation: rotation 1s linear infinite;
 }

 @keyframes rotation {
   0% {
     transform: rotate(0deg);
   }
   100% {
     transform: rotate(360deg);
   }
 } 
</style>
    </head>
    <body>
      <?php
      ############################################################################
      if ( !$standAlone ) {
	include("header.php");
	include("menubar.php");
      }
      ############################################################################
      ?>
      <?php if (isset($_SESSION['CSSwidescreen'])) { ?>
        <div id="main-copy" style="width:<?php echo $divWidth ?>px; border:inset; background-color:#FFF">
      <?php } else { ?>
        <div id="main-copy" style="width:<?php echo $divWidth?>px; background-color:#FFF" class="center">
      <?php }	?>
<!-- 	<?php echo '$divWidth: '.$divWidth.'px'.' $standAlone: '.$standAlone==1?'true':'false'?>; // Debug code -->
     <div style="width:<?php echo $divWidth?>px" class='center'>
        <h2 style="font-size:24px;" align="center">Snow <!-- or Ice --> Accumulation Potential</h2>
        <?php 
        include("inc-nwswinter.php");
        ?>
        <?php if (!$standAlone && file_exists("wxnwswinter-SA.php")) {
          echo '<p align="center" style="font-size:14px"><a href="wxnwswinter-SA.php" target="_blank">Full Size Maps</a></p>';
        } ?>
        <!--
        <p style="line-height:70%; font-size:10px" align="center">(Maps Updated by WFO Only As Needed)</p>

	<p align="center" style="line-height:140%; font-size:9px">Predictions Courtesy of <a href="https://www.nws.noaa.gov/os/notification/pns14prob_snow_expaab.htm" target="_blank" title="New Tab">NOAA-NWS</a><br/>WFO and predictions Scripts by <a href="https://gwwilkins.org" target="_blank" title="New Tab">SE Lincoln Weather</a>.</p>
        -->
      </div>
    </div><!-- end main-copy -->

    <script type="text/javascript">
     // executes after page load...
     $(function() {
       //       displayImage(<?php echo $divWidth; ?>);
       displayImage($('#main-copy').width() );
     }); // end ready

    </script>
    <script src="showPrediction.js" type="text/javascript"></script>
<?php
############################################################################
if ( !$standAlone ) {
	include("footer.php");
} else {
	echo '</body></html>';
}
############################################################################
# End of Page
############################################################################
?>
